Bug 245501 - Review Request: perl-Test-Number-Delta - Compare the difference between numbers against a given tolerance
Review Request: perl-Test-Number-Delta - Compare the difference between numbe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 11:10 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 16:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2007-06-24 11:10:31 EDT
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Number-Delta.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Number-Delta-1.03-1.src.rpm

Description:
At some point or another, most programmers find they need to compare
floating-point numbers for equality. The typical idiom is to test if
the absolute value of the difference of the numbers is within a
desired tolerance, usually called epsilon. This module provides such
a function for use with Test::Harness.

Note:
This is a new build requirement of perl-Cairo 1.041
Comment 1 Jason Tibbitts 2007-06-25 01:13:27 EDT
Sorry about the delay; a storm took out my Internet connection for a while.

* source files match upstream:
   9cd18d89bde4333f9f9b77668ef03e6e20d8ee5675c2ab1b216c7323419a320e  
   Test-Number-Delta-1.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64)
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Test::Number::Delta) = 1.03
   perl-Test-Number-Delta = 1.03-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(Test::Builder)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=13, Tests=69,  1 wallclock secs ( 0.48 cusr +  0.20 csys =  0.68 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (Heck, the 
   license file alone is bigger than the rest of the package.)
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jose Pedro Oliveira 2007-06-25 12:02:46 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Number-Delta
Short Description: Compare the difference between numbers against a given tolerance
Owners: jpo@di.uminho.pt
Branches: FC-6 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Kevin Fenzi 2007-06-25 15:27:35 EDT
cvs done.
Comment 4 Jose Pedro Oliveira 2007-06-25 16:22:41 EDT
Tibbs,

Thanks for the review.

Package built for FC-6, F-7, and devel.


jpo

Note You need to log in before you can comment on or make changes to this bug.